# Class AdasProvider

Namespace
  adas_core.Application.Providers

Assembly
  adas-core.Application.dll

    public class AdasProvider : BaseProvider

Inheritance
  object
  BaseProvider
  AdasProvider

Inherited Members
  BaseProvider.HttpClientFactory
  BaseProvider.Url
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### AdasProvider(IOptions<ProvidersSettings>, IHttpClientFactory)

    public AdasProvider(IOptions<ProvidersSettings> providerSettings, IHttpClientFactory httpClientFactory)

#### Parameters

`providerSettings` IOptions<ProvidersSettings>
`httpClientFactory` IHttpClientFactory

## Methods

### GetObservations(Patient)

Retrieves patient observations from the ADAS system, including stay duration predictions (most and less confident scenarios) and medication predictions. Logs an error and skips stay prediction observations if the prediction result is null or contains an error. Skips the medication prediction observation if no medication predictions are returned.

    public override Task<List<PatientObservation>> GetObservations(Patient patient)

#### Parameters

`patient` Patient

  The patient for whom observations are being calculated.

#### Returns

Task<List<PatientObservation>>

  A task that represents the asynchronous operation, returning a list of patient observations.